Package com.destroystokyo.paper.event.server

# Class ServerTickEndEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.server.ServerTickEndEvent

public class ServerTickEndEvent extends Event
Called when the server has finished ticking the main loop

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServerTickEndEvent(int tickNumber, double tickDuration, long timeRemaining)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`double`
`getTickDuration()`
`int`
`getTickNumber()`
`long`
`getTimeRemaining()`
Amount of nanoseconds remaining before the next tick should start.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerTickEndEvent

public ServerTickEndEvent(int tickNumber, double tickDuration, long timeRemaining)

## Method Details

### getTickNumber

public int getTickNumber()

Returns:
  What tick this was since start (first tick = 1)

### getTickDuration

public double getTickDuration()

Returns:
  Time in milliseconds of how long this tick took

### getTimeRemaining

public long getTimeRemaining()
Amount of nanoseconds remaining before the next tick should start. If this value is negative, then that means the server has exceeded the tick time limit and TPS has been lost. Method will continously return the updated time remaining value. (return value is not static)

Returns:
  Amount of nanoseconds remaining before the next tick should start

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()